Bug 1654327 - Missing value for template kind in provisioning templates audits
Summary: Missing value for template kind in provisioning templates audits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Audit Log
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 14:31 UTC by Roman Plevka
Modified: 2019-10-07 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:27 UTC

Description Roman Plevka 2018-11-28 14:31:51 UTC
Description of problem:
the "template kind" is not parsed properly and the provisioning template audits show Missing(ID: x) values.

Version-Release number of selected component (if applicable):
6.5.0-5

How reproducible:


Steps to Reproduce:
1. create a provisioning template and choose some template type
2. update the created provisioning template with another type (to record an "update" audit)
3. check the corresponding audits

Actual results:
missing(id: x)

Expected results:
proper template type

Comment 3 Marek Hulan 2018-12-07 15:28:38 UTC
can't reproduce on nightlies, might have been fixed in 1.20.1, let's recheck on next snap after Foreman rebase

Comment 4 Marek Hulan 2019-01-15 12:11:23 UTC
Ok, this now works fine on snap 11, Roman, please take another look.

Comment 5 Roman Plevka 2019-03-11 14:57:11 UTC
VERIFIED
on snap 19.

the type is correctly shown

Comment 7 errata-xmlrpc 2019-05-14 12:39:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.